import { DataSource, ViewEntity, ViewColumn } from 'typeorm';
import { EquipoPrograma } from '../equipo-programa.entity';
import { Equipo } from '../../../equipo/entity/equipo.entity';
import { Carrito } from '../../../carrito/entity/carrito.entity';
import { Modulo } from '../../../modulo/entity/modulo.entity';

@ViewEntity({
  expression: (dataSource: DataSource) =>
    dataSource
      .createQueryBuilder()
      .select('ep.id_equipo_programa', 'id_equipo_programa')
      .addSelect('ep.id_equipo', 'id_equipo')
      .addSelect('ep.id_programa', 'id_programa')
      .addSelect('e.id_carrito', 'id_carrito')
      .addSelect('c.id_modulo', 'id_modulo')
      .addSelect('c.id_tipo_carrito', 'id_tipo_carrito')
      .addSelect('m.id_institucion', 'id_institucion')
      .from(EquipoPrograma, 'ep')
      .innerJoin(Equipo, 'e', 'e.id_equipo = ep.id_equipo')
      .innerJoin(Carrito, 'c', 'c.id_carrito = e.id_carrito')
      .innerJoin(Modulo, 'm', 'm.id_modulo = c.id_modulo'),
})
export class InformacionEquipoProgramaView {
  @ViewColumn()
  id_equipo_programa: number;

  @ViewColumn()
  id_carrito: number;

  @ViewColumn()
  id_equipo: number;

  @ViewColumn()
  id_institucion: number;

  @ViewColumn()
  id_modulo: number;

  @ViewColumn()
  id_programa: number;

  @ViewColumn()
  id_tipo_carrito: number;
}
