import {
  IsNotEmpty,
  IsNumberString,
  IsOptional,
  IsString,
} from 'class-validator';

export class EquiposDto {
  @IsNumberString()
  pagina: string;

  @IsString()
  @IsNotEmpty()
  @IsOptional()
  carrito?: string;

  @IsString()
  @IsNotEmpty()
  @IsOptional()
  equipo?: string;

  @IsNumberString()
  @IsOptional()
  id_carrito?: string;

  @IsNumberString()
  @IsOptional()
  id_institucion?: string;

  @IsNumberString()
  @IsOptional()
  id_marca?: string;

  @IsNumberString()
  @IsOptional()
  id_modelo?: string;

  @IsNumberString()
  @IsOptional()
  id_modulo?: string;

  @IsNumberString()
  @IsOptional()
  id_programa?: string;

  @IsNumberString()
  @IsOptional()
  id_status?: string;

  @IsNumberString()
  @IsOptional()
  id_tipo_carrito?: string;

  @IsNumberString()
  @IsOptional()
  id_tipo_entrada?: string;
}
