import { Column, Entity, OneToMany, PrimaryGeneratedColumn } from 'typeorm';
import { Carrito } from '../../carrito/entity/carrito.entity';
import { InstitucionTipoCarrito } from './institucion-tipo-carrito.entity';

@Entity()
export class TipoCarrito {
  @PrimaryGeneratedColumn()
  id_tipo_carrito: number;

  @Column({ type: String, nullable: false, length: 2 })
  letra: string;

  @Column({ type: String, nullable: false, length: 30 })
  tipo_carrito: string;

  @OneToMany(() => Carrito, (carrito) => carrito.tipoCarrito)
  carritos: Carrito[];

  @OneToMany(
    () => InstitucionTipoCarrito,
    (institucionTipoCarrito) => institucionTipoCarrito.tipoCarrito,
  )
  instituciones: InstitucionTipoCarrito[];
}
